"
 COPYRIGHT (c) 1997 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"



"{ Package: 'stx:libjava' }"

JavaUnresolvedConstant subclass:#JavaUnresolvedNameandTypeConstant
	instanceVariableNames:'nameIndex signatureIndex'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Reader-Support'
!

!JavaUnresolvedNameandTypeConstant class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1997 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"


! !

!JavaUnresolvedNameandTypeConstant class methodsFor:'instance creation'!

pool:aPool poolIndex:slotIndex nameIndex:name_index signatureIndex:signature_index
    ^ self new
        pool:aPool poolIndex:slotIndex nameIndex:name_index signatureIndex:signature_index
! !

!JavaUnresolvedNameandTypeConstant methodsFor:'accessing'!

pool:aPool poolIndex:slotIndex nameIndex:name_index signatureIndex:signature_index 
    constantPool := aPool.
    constantPoolIndex := slotIndex.
    nameIndex := name_index.
    signatureIndex := signature_index

    "Created: 15.4.1996 / 16:14:39 / cg"
! !

!JavaUnresolvedNameandTypeConstant methodsFor:'resolving'!

preResolve
    |name signature ref|

    name := (constantPool at:nameIndex).
    name isString ifFalse:[
        name := name preResolve.
    ].
    signature := (constantPool at:signatureIndex).
    signature isString ifFalse:[
        signature := signature preResolve.
    ].
    (name isString and:[signature isString]) ifTrue:[
        ref := JavaNameandType name:name signature:signature.
        constantPool at:constantPoolIndex put:ref.
        ^ ref
    ].

    self halt:'should be resolvable'.
    ^ self

    "Created: 15.4.1996 / 16:15:53 / cg"
    "Modified: 15.4.1996 / 16:27:33 / cg"
! !

!JavaUnresolvedNameandTypeConstant class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/JavaUnresolvedNameandTypeConstant.st,v 1.6 2002/11/22 20:11:38 cg Exp $'
! !
